namespace Magify.Model
{
    internal class ErrorResponse
    {
        internal class ErrorInfo
        {
            public ErrorCode Code { get; set; }
            public string Message { get; set; }
        }

        public ErrorInfo Error { get; set; }
        public string Id { get; set; }
    }

    internal enum ErrorCode
    {
        Expired = 3,
        Banned = 4,
        Revoked = 5,
        AppSupportError = 10,
    }
}