﻿namespace Magify
{
    public enum StorageResultCode
    {
        Success,
        Canceled,
        Timeout,
        StorageError,
        ConnectionError,
        ProtocolError,
        DataProcessingError,
        UnknownError,
        NotPreloaded,
        /// <summary>
        /// Possible when no gameObject or CreativeContent script on that GameObject
        /// </summary>
        InvalidAssetError,
        NoDefaultAsset,
    }
}