namespace Magify
{
    internal struct WebRequestMessage
    {
        public string Method { get; set; }
        public object Payload { get; set; }
        public string AuthToken { get; set; }

        public override string ToString()
        {
            return $"Method: {Method}\n" +
                   $"PayloadParams: {Payload}\n" +
                   $"AuthToken: {AuthToken?[..100]}\n";
        }
    }
}